XmTextGetString(3Xm)

NAME
XmTextGetString — a Text function that accesses the string value.

SYNOPSIS
#include <Xm/Text.h>

char * XmTextGetString (widget)
    Widget    widget;

DESCRIPTION
XmTextGetString accesses the string value of the Text widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the Text widget ID.

For a complete definition of Text and its associated resources, see XmText(3Xm).

RETURN VALUE
Returns a character pointer to the string value of the text widget.

RELATED INFORMATION
XmText(3Xm).